# List Account Trades

Get a list of trades. This is the equivalent of fetching transactions for the brokerage account.

Endpoint: GET /api/v1/jiko-accounts/{account_id}/trades/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `account_id` (string, required)

## Query parameters:

  - `trade_datetime_from` (any)

  - `trade_datetime_to` (any)

  - `book_date_from` (any)
    Filters the resulting trade list by book date from the provided ISO8601 date, inclusively

  - `book_date_to` (any)
    Filters the resulting trade list by book date to the provided ISO8601 date, inclusively

  - `settlement_date_from` (any)
    Filters the resulting trade list by settlement date from the provided ISO8601 date, inclusively

  - `settlement_date_to` (any)
    Filters the resulting trade list by settlement date to the provided ISO8601 date, inclusively

  - `order` (string)
    Ordered by the trade creation time, descending by default.
    Enum: "desc", "asc"

  - `cursor` (string)

  - `limit` (integer)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.trade_datetime` (string, required)

  - `items.settled_date` (any, required)

  - `items.is_settled` (boolean, required)

  - `items.activity` (string, required)
    Enum: "BUY", "SELL", "MATURITY"

  - `items.cusip` (string, required)

  - `items.description` (string, required)

  - `items.notional` (object, required)

  - `items.notional.value` (integer, required)
    USD values are always in cents.

  - `items.notional.currency` (string, required)

  - `items.notional.formatted` (string)

  - `items.quantity` (integer, required)

  - `items.price` (string, required)

  - `items.maturity_date` (string, required)

  - `items.jiko_account_id` (string, required)

  - `items.yield_to_maturity` (string, required)

  - `items.tradable_id` (string, required)

  - `items.book_date` (string, required)

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
